com.threerings.whirled.client

## Interface SceneService

All Superinterfaces:
  com.threerings.presents.client.InvocationService

All Known Implementing Classes:
  SceneMarshaller

    public interface SceneService
    extends com.threerings.presents.client.InvocationService

The scene service class provides the client interface to the scene related invocation services (e.g. moving from scene to scene).

### Nested Class Summary

Nested Classes
`static interface` `SceneService.SceneMoveListener` Used to communicate the response to a `moveTo(int, int, com.threerings.whirled.client.SceneService.SceneMoveListener)` request.

### Nested classes/interfaces inherited from interface com.threerings.presents.client.InvocationService

`com.threerings.presents.client.InvocationService.ConfirmListener, com.threerings.presents.client.InvocationService.InvocationListener, com.threerings.presents.client.InvocationService.ResultListener`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `moveTo(int sceneId, int version, SceneService.SceneMoveListener listener)` Requests that that this client's body be moved to the specified scene.

### Method Detail

#### moveTo

    void moveTo(int sceneId,
                int version,
                SceneService.SceneMoveListener listener)

Requests that that this client's body be moved to the specified scene.

Parameters:
  `sceneId` - the scene id to which we want to move.
  `version` - the version number of the scene object that we have in our local repository.